package sda.jdbc.intro.v1;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

public class SimpleInsert {

   public static void main(String[] args) throws SQLException {
      // Step 1: Open a connection to the database server
      final Connection conn = DriverManager.getConnection(
            "jdbc:mysql://localhost:3306/hdm", "hdmuser", "XYZ");
      // Step 2: Create a Statement instance
      final Statement stmt = conn.createStatement();
      // Step 3: Execute the desired INSERT
      final int updateCount = stmt.executeUpdate(
               "INSERT INTO Person VALUES('Jim', 'jim@foo.org')");
      // Step 4: Give feedback to the enduser
      System.out.println("Successfully inserted " + updateCount + " dataset(s)");
   }
}