package sda.jdbc.intro.v01;

import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class InsertPerson extends JFrame {
   
   private static final long serialVersionUID = -5427181942099955412L;

   final JTextField nameField = new JTextField(15),
                   emailField = new JTextField(20);
   
   final Connection conn;
   final Statement stmt;

   public static void main(String[] args) throws SQLException {
      InsertPerson app = new InsertPerson();
      app.setVisible(true);
   }
   
   public InsertPerson () throws SQLException{
      super ("Add a person's data");
      
      conn = DriverManager.getConnection(
            "jdbc:mysql://localhost:3306/hdm", "hdmuser", "XYZ");
      stmt = conn.createStatement();
      
      setSize(500, 500);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      
      final JPanel databaseFieldPanel = new JPanel();
      databaseFieldPanel.setLayout(new GridLayout(0,2));
      add(databaseFieldPanel, BorderLayout.CENTER);

      databaseFieldPanel.add(new JLabel("Name:"));
      databaseFieldPanel.add(nameField);
      
      databaseFieldPanel.add(new JLabel("E-mail:"));
      databaseFieldPanel.add(emailField);

      final JButton insertButton = new JButton("Insert");
      add(insertButton, BorderLayout.SOUTH);
      insertButton.addActionListener(new ActionListener() {
         
         @Override
         public void actionPerformed(ActionEvent event) {
            final String sql = "INSERT INTO Person VALUES('" + nameField.getText()+ "', '" 
                  + emailField.getText() +  "')";
            // We have to catch this Exception because throwing it would violate an ActionListener's
            // signature.
            try {
               final int updateCount = stmt.executeUpdate(sql);
               JOptionPane.showMessageDialog(null, "Successfully executed '" + sql + "' and inserted "
                     + updateCount + " dataset(s)");
            } catch (SQLException e) {
               e.printStackTrace();
            }
         }
      });
      
      pack();
   }
}
